/*
* Copyright (c) 2017 Fraunhofer FOKUS.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* GNU AGPL v3 which accompanies
* this distribution, and is available at
* http://www.gnu.org/licenses/agpl.txt
*
* Contributors:
*
* Simon Dutkowski Fraunhofer FOKUS
*
* Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/

package eu.DECIDEh2020.architect.cloudpatterns;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class DP {

    public static final String DP_NS = "http://decideh2020.eu/ns/patterns/";

    public static final Property icon;
    public static final Property solution;
    public static final Property context;
    public static final Property hasImpactOn;
    public static final Property hasPositiveImpactOn;
    public static final Property hasNegativeImpactOn;

    public static final Resource Pattern;
    public static final Resource NFR;

    static {
        Model m = ModelFactory.createDefaultModel();
        Pattern = m.createResource(DP_NS + "Pattern");
        NFR = m.createResource(DP_NS + "NFR");

        icon = m.createProperty(DP_NS, "icon");
        solution = m.createProperty(DP_NS, "solution");
        context = m.createProperty(DP_NS, "context");
        hasImpactOn = m.createProperty(DP_NS, "hasImpactOn");
        hasPositiveImpactOn = m.createProperty(DP_NS, "hasPositiveImpactOn");
        hasNegativeImpactOn = m.createProperty(DP_NS, "hasNegativeImpactOn");
    }

}
